Samsung Update Android How To

What Odin version you need for your phone


What Odin version you need for your phone

Odin is a leaked Samsung program that is used to flash ROMs on Samsung devices. Be careful if you decide to flash a ROM with Odin because this is a dangerous process an it may result in bricking your device. If you want to flash a ROM you need to download and install the proper ODIN version and then follow the guide about how to install an official firmware with odin.

Here is a list with Odin versions that you have to use for your Samsung phone:

ODIN3 v1.83

Samsung Galaxy Tab wifi P1010, Samsung Galaxy S I9000,Samsung Galaxy Tab wifi P1010, Samsung Galaxy SL I9003, Samsung Galaxy Giorgio Armani I9010, Samsung Google Nexus S i9023, Samsung Google Nexus S I9020, Samsung Google Nexus S i9020A, Samsung Galaxy Tab P1000,  Samsung Galaxy Note N7000, Samsung Galaxy S II I9000,

ODIN3 v1.85

Samsung Galaxy S II I9100G, Samsung Galaxy S II I9100P, Samsung Galaxy S II Skyrocket SGH-I727, Samsung Galaxy Tab 10.1v P7100, Samsung Galaxy Y S5360, Samsung Galaxy Y S5363, Samsung Galaxy S II LTE SGH-I727R, Samsung Galaxy Tab wifi P1010, SGH-T589 Gravity,Samsung Infuse 4G SGH-I997, Samsung Galaxy Tab 8.9 P7300, Samsung Galaxy Tab10.1 P7500, Samsung Galaxy Tab 10.1 WiFi P7510, Samsung Galaxy Y Pro B5510, Samsung Galaxy Note N7000,  Samsung Galaxy S II SGH-I777, Samsung DoubleTime SGH-i857, Samsung Captivate Glide SGH-i927, Samsung Galaxy S Glide SGH-i927R, Samsung Galaxy Tab 8.9 LTE SGH-i957,  , Samsung Gravity Smart SGH-T589, Samsung Galaxy Q SGH-T589R, Samsung Galaxy Tab 7.0 Plus SGH-T869, SCH-R910 Indulge, SGH-I897 Captivate, Samsung Galaxy S Fascinate 4G SGH-T959P, Samsung Hercules SGH-T989, Samsung Galaxy S II I9100, SCH-I500 Mesmerize, SPH-M820 Prevail, SPH-D700 Epic 4G, SPH-M910 Intercept, SCH-R880 Acclaim, SGH-I997 Infuse, SGH-T839 Sidekick, SGH-T959 Vibrant, SGH-T959v Galaxy S 4G, SPH-D720 Nexus S 4G, SPH-M580 Replenish, SPH-M920 Transform, SCH-I400 Contunuum, SCH-I500 Fascinate, SCH-I510 Droid Charge, SGH-I917 Focus, Samsung Dart SGH-T499

ODIN3 v1.87

Samsung Galaxy Note N7000

ODIN Multi Downloader v4.03

Samsung T919 Behol, Samsung T939 Behold 2

ODIN Multi Downloader v 4.16

Samsung I7500 Galaxy

ODIN Multi Downloader 4.28

Samsung I5500 Galaxy 5, Samsung Galaxy 550, Samsung i5500 Corby, Samsung Galaxy Europa, Samsung I5510, Samsung Galaxy 551

ODIN Multi Downloader4.34

Samsung I5700 Galaxy Spica, Samsung I5800 Galaxy Apollo, Samsung I7500 Galaxy, Samsung I5500 Galaxy Europa, Samsung Galaxy 551 I5510, Samsung i5500 Europa,

ODIN Multi Downloader 4.38

Samsung Galaxy Mini S5570, Samsung Galaxy Suit S5670, Samsung Galaxy Ace S5830,  Samsung Galaxy Fit S5670

ODIN Multi Downloader 4.42

Samsung Galaxy Xcover S5690, Samsung Galaxy Gio S5660, Samsung Galaxy Ace S5830, Samsung Galaxy Y Pro B5510, Samsung Galaxy Pro B7510, Samsung Galaxy M Pro B7800, Samsung Galaxy Mini S5570, Samsung Galaxy Fit S5670,

ODIN Multi Downloader 4.43

Samsung Galaxy S Plus I9001, Samsung Galaxy W I8150, Samsung Exhibit II 4G T679 (T-Mobile), Samsung Galaxy W T679M (Bell)

Here you can download latest Odin: Odin v3.07


15 Comments on What Odin version you need for your phone

  1. Garmus

    I will add also other question.
    Which should be used for Samsung Galaxy Express i8730?

    …Hope that samsungupdate, will updated this information, keeping our updated…

  2. arie1812

    I will add also other question.
    Which should be used for samsung galaxy magic style SHW-M340K?
    Hope that samsung update, will update information, keeping our updated..

  3. Joe Oyewale

    WHAT Odin VERSION CAN I USE FOR MY GALAXY NOTE 10.1 (TABLET)?
    PLS ONE MORE QUESTION, I WANT TO CHANGE MY GALAXY NOTE 10.1 FROM CHINESE FIRMWARE ANDROID JELLY BEAN 4.1.2 TO UNITED KINGDOM FIRMWARE ANDROID JELLY BEAN 4.1.2, IS THAT POSSIBLE?

  4. Joe Oyewale

    WHAT Odin VERSION CAN I USE FOR MY GALAXY NOTE 10.1 (TABLET), PLS ONE MORE QUESTION, I WANT TO CHANGE MY GALAXY NOTE 10.0 FROM CHINESE FIRMWARE ANDROID 4.2.1 TO UNITED KINGDOM FIRMWARE ANDROID 4.2.1, IS THAT POSSIBLE?

Leave a Comment

Your email address will not be published. Required fields are marked *


seven − = 1

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>